| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | Friends
qx::QxInvalidValue Class Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxInvalidValue : invalid value when a property fails to pass a constraint More...

`#include <QxInvalidValue.h>`

Inheritance diagram for qx::QxInvalidValue:

List of all members.

## Public Member Functions
| QxInvalidValue ()
virtual | ~QxInvalidValue ()
QString | getMessage () const
QString | getPropertyName () const
QString | getPath () const
QString | getFullName () const
const IxValidator * | getValidator () const
void | setMessage (const QString &s)
void | setPropertyName (const QString &s)
void | setPath (const QString &s)
void | setValidator (const IxValidator *p)
## Protected Attributes
QString | m_sMessage
| Message associated to the invalid value.
QString | m_sPropertyName
| Property name failing to pass the constraint.
QString | m_sPath
| Path of property failing to pass the constraint.
const IxValidator * | m_pValidator
| IxValidator class associated to the invalid value.
## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
## Friends
class | boost::serialization::access
struct | qx::cvt::detail::QxConvert_ToJson< qx::QxInvalidValue >
struct | qx::cvt::detail::QxConvert_FromJson< qx::QxInvalidValue >
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::QxInvalidValue &t)
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::QxInvalidValue &t)
QX_DLL_EXPORT QJsonValue | qx::cvt::detail::QxConvert_ToJson_Helper (const qx::QxInvalidValue &t, const QString &format)
QX_DLL_EXPORT qx_bool | qx::cvt::detail::QxConvert_FromJson_Helper (const QJsonValue &j, qx::QxInvalidValue &t, const QString &format)

## Detailed Description

qx::QxInvalidValue : invalid value when a property fails to pass a constraint

For more informations about QxValidator module, goto the FAQ of QxOrm website : https://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 97 of file QxInvalidValue.h.

## Constructor & Destructor Documentation

qx::QxInvalidValue::QxInvalidValue | ( |  | ) |

virtual qx::QxInvalidValue::~QxInvalidValue | ( |  | ) | `[virtual]`

## Member Function Documentation

QString qx::QxInvalidValue::getFullName | ( |  | ) | const

QString qx::QxInvalidValue::getMessage | ( |  | ) | const`[inline]`

Definition at line 126 of file QxInvalidValue.h.

QString qx::QxInvalidValue::getPath | ( |  | ) | const`[inline]`

Definition at line 128 of file QxInvalidValue.h.

QString qx::QxInvalidValue::getPropertyName | ( |  | ) | const`[inline]`

Definition at line 127 of file QxInvalidValue.h.

const IxValidator* qx::QxInvalidValue::getValidator | ( |  | ) | const

template<class Archive >

void qx::QxInvalidValue::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 141 of file QxInvalidValue.h.

void qx::QxInvalidValue::setMessage | ( | const QString & | s | ) | `[inline]`

Definition at line 132 of file QxInvalidValue.h.

void qx::QxInvalidValue::setPath | ( | const QString & | s | ) | `[inline]`

Definition at line 134 of file QxInvalidValue.h.

void qx::QxInvalidValue::setPropertyName | ( | const QString & | s | ) | `[inline]`

Definition at line 133 of file QxInvalidValue.h.

void qx::QxInvalidValue::setValidator | ( | const IxValidator * | p | ) |

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 101 of file QxInvalidValue.h.

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::QxInvalidValue & | t
| ) |  | `[friend]`

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::QxInvalidValue & | t
| ) |  | `[friend]`

friend struct qx::cvt::detail::QxConvert_FromJson< qx::QxInvalidValue >`[friend]`

Definition at line 109 of file QxInvalidValue.h.

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::QxInvalidValue & | t,
|  | const QString & | format
| ) |  | `[friend]`

friend struct qx::cvt::detail::QxConvert_ToJson< qx::QxInvalidValue >`[friend]`

Definition at line 108 of file QxInvalidValue.h.

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::QxInvalidValue & | t,
|  | const QString & | format
| ) |  | `[friend]`

## Member Data Documentation

const IxValidator* qx::QxInvalidValue::m_pValidator`[protected]`

IxValidator class associated to the invalid value.

Definition at line 119 of file QxInvalidValue.h.

QString qx::QxInvalidValue::m_sMessage`[protected]`

Message associated to the invalid value.

Definition at line 116 of file QxInvalidValue.h.

QString qx::QxInvalidValue::m_sPath`[protected]`

Path of property failing to pass the constraint.

Definition at line 118 of file QxInvalidValue.h.

QString qx::QxInvalidValue::m_sPropertyName`[protected]`

Property name failing to pass the constraint.

Definition at line 117 of file QxInvalidValue.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxValidator/QxInvalidValue.h